## GtexView

GtexView — Additional TeplView functions

## Functions

void | gtex_view_setup ()
gchar * | gtex_view_get_indentation_style ()

## Includes

    #include <gtex.h>

## Description

Additional TeplView functions.

## Functions

### gtex_view_setup ()

    void
    gtex_view_setup (GtkSourceView *view);

Setups a GtkSourceView widget for Enter TeX.

#### Parameters

view | a GtkSourceView widget. |

### gtex_view_get_indentation_style ()

    gchar *
    gtex_view_get_indentation_style (GtkSourceView *view);

Returns one indentation level, as a string.

Attention, this function assumes that the “indent-width” is -1 or equal to the “tab-width”, which is always the case in Enter TeX (there is no GSettings for the “indent-width”).

#### Parameters

view | a GtkSourceView. |

#### Returns

one indentation level, as a string. Free with `g_free()` when no longer needed.